Bug 117596 - Japanese text on the listbox is big in pivot charts
Summary: Japanese text on the listbox is big in pivot charts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.5
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-13 08:08 UTC by nogajun
Modified: 2018-05-17 01:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (131.45 KB, image/png)
2018-05-13 08:09 UTC, nogajun
Details
Sample file (39.88 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-05-13 08:10 UTC, nogajun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nogajun 2018-05-13 08:08:38 UTC
Description:
Listbox text is big in Japanese pivot charts.


Steps to Reproduce:
1. Create a pivot table containing Japanese.
2. Create a charts from a pivot table.


Actual Results:  
The text is big, characters in the chart are hidden.

Expected Results:
Text is displayed in normal size. Characters on the chart are not hidden.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 nogajun 2018-05-13 08:09:33 UTC
Created attachment 142074 [details]
Screenshot
Comment 2 nogajun 2018-05-13 08:10:38 UTC
Created attachment 142075 [details]
Sample file
Comment 3 himajin100000 2018-05-16 00:24:18 UTC
Just a guess, didn't test this myself:

Developers often forget to change properties in CharacterPropertiesAsian and CharacterPropertiesComplex, such as CharHeightAsian and CharHeightComplex, when they change CharHeight in CharacterProperties. 

https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1drawing_1_1TextShape.html
https://opengrok.libreoffice.org/xref/core/chart2/source/view/main/VButton.cxx?r=36c88900#111
https://opengrok.libreoffice.org/xref/core/chart2/source/view/main/ChartView.cxx?r=48fbfe38#2464
https://opengrok.libreoffice.org/xref/core/chart2/source/view/main/VLegend.cxx?r=48fbfe38#796

/* 
so did I forget them when I modified the code around pivot table styles(not pivot chart, not that far)
https://gerrit.libreoffice.org/#/c/51727/
*/

I think, TextAutoGrowHeight should also be taken into account.
Comment 4 Commit Notification 2018-05-16 04:42:06 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d57c6f5d44ec7a8dff2121bd19103804329af66a

tdf#117596 set the size for Asian and Complex char height too

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Tomaz Vajngerl 2018-05-16 10:05:19 UTC
You were right ;)

Also a patch for LO 6.0 - https://gerrit.libreoffice.org/#/c/54408/
Comment 6 Commit Notification 2018-05-16 15:23:36 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e822afc4989451674ae51df0d3e5ca233e8fd5fa&h=libreoffice-6-0

tdf#117596 set the size for Asian and Complex char height too

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 himajin100000 2018-05-17 01:30:06 UTC
I confirmed that,this issue is not reproducible with the following nightly build

https://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/2018-05-16_23.27.22/

patch merged:
2018-05-16 04:42:06 UTC 
build start:
2018-05-16 23:27:22 UTC
msi would be available around
2018-05-17 00:56:00(about 01:30:00 + build start)
which means
2018-05-17 09:56 JST(UTC+9)